Module:Message box/cmbox.css:修订间差异

删除的内容 添加的内容
TemplateStyles: Module:Message box/cmbox.css 样式
 
替换为 mworg 版 cmbox.css
 
第1行:
/**
/* {{cmbox}} 分类消息框样式 */
* {{cmbox}} (category message box) styles
.cmbox {
*
border: 1px solid #a2a9b1;
* @source https://www.mediawiki.org/wiki/MediaWiki:Gadget-enwp-boxes.css
border-left: 10px solid #36c;
* @revision 2021-07-15
background-color: #f8f9fa;
*/
color: #202122;
table.cmbox {
margin: 0.5em 0;
paddingmargin: 3px 10%;
border-collapse: collapse;
width: 100%;
border: 1px solid var(--border-color-base, #a2a9b1);
/* Default "notice" light blue */
background-color: var(--background-color-progressive-subtle--hover, #d9e2ff);
color: var(--color-base, #202122);
box-sizing: border-box;
}
 
/* An empty narrow cell */
.cmbox-speedy {
.cmbox td.mbox-empty-cell {
border-left-color: #b32424;
border: none;
padding: 0.25em 0.9em;
width: 1px;
}
 
/* The message body cell(s) */
.cmbox-delete {
.cmbox th.mbox-text,
border-left-color: #b32424;
.cmbox td.mbox-styletext {
border: none;
/* 0.9em left/right */
padding: 2px 0 2px.25em 0.9em;
/* Make all mboxes the same width regardless of text length */
width: 100%;
}
 
/* The left image cell */
.cmbox-content {
.cmbox td.mbox-image {
border-left-color: #f28500;
/* 0.9em left, 0px right */
/* @noflip */
padding: 2px 0 2px 0.9em;
}
 
/* The right image cell */
.cmbox-style {
.cmbox td.mbox-imageright {
border-left-color: #fc3;
/* 0px left, 0.9em right */
/* @noflip */
padding: 2px 0.9em 2px 0;
}
 
table.cmbox-movenotice {
/* Light blue */
border-left-color: #9932cc;
background-color: var(--background-color-progressive-subtle--hover, #d9e2ff);
}
 
table.cmbox-protectionspeedy {
margin-top: 4px;
border-left-color: #a2a9b1;
margin-bottom: 4px;
/* Red */
border: 1px4px solid #a2a9b1b32424;
}
 
table.cmbox-notice {delete,
table.cmbox-speedy {
border-left-color: #36c;
/* Pink */
background-color: var(--background-color-error-subtle--active, #ffc8bd);
 
}
 
table.cmbox .mbox-imagecontent {
/* Orange */
border: none;
background-color: var(--background-color-error-subtle--hover, #ffdad3);
padding: 2px 0 2px 0.9em;
text-align: center;
width: 52px;
}
 
table.cmbox .mbox-textstyle {
/* Yellow */
border: none;
background-color: var(--background-color-warning-subtle, #fdf2d5);
padding: 0.25em 0.9em;
}
width: 100%;
 
table.cmbox-deletemove {
/* Blue */
background-color: var(--background-color-progressive-subtle--active, #b6d4fb);
}
 
table.cmbox-protection {
/* Gold */
background-color: var(--background-color-content-removed, #ffe49c);
}
 
@media screen and (max-width: 720px) {
table.cmbox {
margin: 0.5em3px 0auto;
}
}